summaryrefslogtreecommitdiff
path: root/totsc/install-3cd-extra.sh
diff options
context:
space:
mode:
Diffstat (limited to 'totsc/install-3cd-extra.sh')
-rwxr-xr-xtotsc/install-3cd-extra.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/totsc/install-3cd-extra.sh b/totsc/install-3cd-extra.sh
new file mode 100755
index 0000000..31cc5d7
--- /dev/null
+++ b/totsc/install-3cd-extra.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Extra Baldur's Gate (3CD version) content (so CDs aren't needed)
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+copylower "$CDMOUNT/cd1/" "$TARGETDIR"
+
+getcd 2 c04758a6af171bf9a35d8e3d4dcd807c CD2/Movies/MovieCD2.bif
+copylower "$CDMOUNT/cd2/" "$TARGETDIR"
+copylower "$CDMOUNT/cd5/" "$TARGETDIR"
+cp $CDMOUNT/CD2/Manual/Baldur.pdf "$TARGETDIR"/manual || die
+
+getcd 3 ba4224f50f890e10561d22f602d6a991 CD3/Movies/MovieCD3.bif
+copylower "$CDMOUNT/cd3/" "$TARGETDIR"
+copylower "$CDMOUNT/cd4/" "$TARGETDIR"
+copylower "$CDMOUNT/cd6/" "$TARGETDIR"
+setperms "$TARGETDIR"